/* GLOBALS */
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: "Roboto", sans-serif;
}

:root {
  --dark1: #141e20;
  --dark2: #1e2221;
  --dark2: #1c1c1c;
  --dark3: #383838;
  --light1: #ffffff;
  --light2: #d3d3d3;
  --light3: #9babaa;
  --accent1: #64f6c8;
  --accent2: #47a285;
}

body {
  background-color: var(--dark1);
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

h1 {
  color: var(--accent1);
}

h2 {
  color: var(--light1);
}

p {
  color: var(--light2);
}

a {
  color: var(--light2);
}

.mutedtext {
  color: var(--light3);
}

.centered-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

/* COMPONENTS */

nav {
  display: flex;
  flex-direction: column;
}

.navbar {
  border-bottom: 1px solid var(--light3);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.fullnav {
  display: none;
}

.mobilenav {
  display: flex;
}

.navlinkcontainer {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 1em;
}

.navlinkmobilelist {
  flex-direction: column;
  display: none;
  border-bottom: 1px solid var(--light3);
  background-color: var(--dark2);
  justify-content: center;
}

.navbar:has(.hamburger:checked)~.navlinkmobilelist {
  display: flex;
}

.hamburger {
  appearance: none;
  -webkit-appearance: none;
  background-image: url('/static/hamburger.svg');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  width: 2.4rem;
  height: 2.4rem;
}

.navlink {
  font-size: large;
  font-weight: 900;
  text-decoration: none;
  color: var(--accent2);
  display: inline-block;
  padding: 0.4em 0.8em;
  margin: 0.4em 1em;
  max-width: max-content;
}

.currentnavlink {
  background-color: var(--accent2);
  color: var(--dark1);
  border-radius: 2em;
}

.footer {
  background-color: var(--dark2);
  border-top: 1px solid var(--light3);
  display: flex;
  gap: 0.6em;
  padding: 0.6em;
  flex-direction: column;
  align-items: center;
  color: var(--light3);
  font-size: small;
}

.index-section {
  margin: 2em 0;
}

.pagecontent {
  max-width: 40rem;
  margin: 2em auto;
  padding: 2em;
}

.postlist {
  list-style-type: none;
  line-height: 2rem;
  margin-top: 2rem;
}

.project-card-small {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5em;
  background-color: var(--accent2);
  border-radius: 1em;
  padding: 1em;
  text-decoration: none;
  color: var(--dark2);
  width: 20rem;
  text-align: center;
}

.project-card-small p {
  color: var(--dark3);
  padding: 1em;
}

.project-card-container {
  display: flex;
  flex-direction: row;
  gap: 2em;
  margin: 2em;
}

.markdown {

  h1,
  h2,
  h3,
  p,
  pre,
  table,
  ul,
  ol,
  li {
    margin-bottom: 1em;
  }

  h1,
  h2,
  h3 {
    color: var(--light1)
  }

  p,
  li,
  a {
    color: var(--light2);
  }

  li {
    margin-left: 1.5em;
  }

  pre {
    background-color: var(--dark2);
    padding: 1em;
    border-radius: 0.5em;
    overflow-x: auto;
    border: 1px solid var(--light3);
  }

  pre code * {
    font-family: monospace;
  }

  p code {
    background-color: var(--dark2);
    padding: 0.2em 0.4em;
    border-radius: 0.3em;
    font-family: monospace;
    border: 1px solid var(--light3);
  }

  table {
    border-collapse: collapse;
    margin: 1em 0;
    color: var(--light2);
  }

  table,
  th,
  td {
    border: 1px solid var(--light3);
    background-color: var(--dark2);
  }

  th,
  td {
    padding: 0.5em;
  }
}

@media screen and (min-width: 40rem) {
  .fullnav {
    display: flex;
  }

  .hamburger {
    display: none;
  }

  .navlinkmobilelist {
    display: none;
  }

  .mobilenav {
    display: none;
  }
}
